Subject: Re: bug#21709: 25.0.50; doc of :variable in `define-minor-mode'

From: Random832 <[email-masked]>
Date: Mon, 19 Oct 2015 12:48:14 -0400

Drew Adams <[email-masked]> writes:
> Surely the function does not "set" a "state".  It might set the
> variable to a new value (but it does not "set" the value).

A state could be a single variable, it could be a dozen variables, it
could be a file on the disk [which GET reads and SET writes] - the point
is to have an abstraction that doesn't care what it is.

Seems like what it really is is a "hackish" way to define a generalized
variable without actually defining one. A sort of "generalized variable
lambda" except for the fact that setf doesn't actually support it.